Get Author

Get an author from the Penguin Classics collection

Selects an author from the Penguin Classics collection, based on the supplied unique author id. The returned author information will contain a list of books that the author is responsible for, with associated links to the book in the Penguin Classics collection.

Example of viewing an author

curl http://api.pearson.com/penguin/classics/v1/authors/32dFj5fS3ba42Y?apikey=my_api_key

{
    "status": 200,
    "dataset": "black_classics_sb",
    "url": "https://api.pearson.com/penguin/classics/v1/authors/32dFj5fS3ba42Y?apikey=my_api_key",
    "author": {
        "id": "32dFj5fS3ba42Y",
        "full_name": "Anne Brontë",
        "url": "https://api.pearson.com/penguin/classics/v1/authors/32dFj5fS3ba42Y?apikey=my_api_key",
        "book_count": 2,
        "books": [
            {
                "title": "The Tenant of Wildfell Hall",
                "isbn": "9780141974422",
                "publisher": {
                    "name": "Penguin Books Ltd"
                },
                "url": "https://api.pearson.com/penguin/classics/v1/books/32PPQpVJEak5y6?apikey=my_api_key"
            },
            {
                "title": "The Tenant of Wildfell Hall",
                "isbn": "9780141974422",
                "publisher": {
                    "name": "Penguin Books Ltd"
                },
                "url": "https://api.pearson.com/penguin/classics/v1/books/e29XXN1MPRct8n?apikey=my_api_key"
            }
        ]
    }
}